[package]
name = "sniff-check"
version = "0.1.4"
edition = "2021"
description = "Opinionated TypeScript/Next.js Development Toolkit"
license = "MIT"
repository = "https://github.com/rizkyviali/sniff-check"
keywords = ["typescript", "nextjs", "code-quality", "cli", "development"]
categories = ["command-line-utilities", "development-tools"]

[[bin]]
name = "sniff"
path = "src/main.rs"

[dependencies]
clap = { version = "4.0", features = ["derive", "color"] }
tokio = { version = "1.0", features = ["full"] }
walkdir = "2.3"
regex = "1.7"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
colored = "2.0"
indicatif = "0.17"
rayon = "1.7"
anyhow = "1.0"
thiserror = "1.0"
toml = "0.8"
futures = "0.3"
memmap2 = "0.9"
ignore = "0.4"
crossterm = "0.27"

[dev-dependencies]
tempfile = "3.0"
assert_cmd = "2.0"
predicates = "3.0"
